import React from 'react'
import ajax from 'jquery/src/ajax/xhr.js';
import $ from 'jquery/src/ajax';
import {Modal,Form,layout,Radio,Button,Input,Spin,Table,Select,Popconfirm,message} from 'antd';
import {intentionalService,newFollow,customerStatus} from '@/dataDic.js';
import {getCompanyIntention} from '@/tools.js';
const FormItem =Form.Item;
import BusName from '../../followDetail/businessName.jsx';

const VisitDetail = React.createClass({
	getInitialState(){
		return{
			visitModul:false,
			loading:false,
			data:[],
			//业务意向列表
			intentionList: [{
					title: '业务名称',
					dataIndex: 'businessGlossoryId',
					width:120,
					key: 'businessGlossoryId',
					render: (text, record, index) => {
						return (
							<div>
								{!record.id?<Select  placeholder="选择业务名称"  value={record.businessGlossoryId}  onChange={(e) => { record.businessGlossoryId = e; this.setState({ data: this.state.data }); }}>
                                    {
                                        this.props.categoryArr.map(function (item) {
                                            return <Select.Option key={item.value} >{item.key}</Select.Option>
                                        })
                                    }
                               </Select>:
                               <span>{record.businessVarietiesName}</span>}
							</div>
						)
					}
				},
				{
					title: '项目名称',
					dataIndex: 'businessName',
					key:'businessName',
					width:200,
					render:(text,record,index)=>{
						return(
							<div>
								{!record.id?<div>
									<Button onClick={(e)=>{e.stopPropagation(),this.businessFn(record,index)}} type="small">{record.projectName}</Button>
								</div>:
								<span>{record.businessProjectName}</span>
								}
							</div>
							)
						}
				},
				{
					title: '最新进度',
					width:120,
					dataIndex: 'followSituation',
					key: 'followSituation',
					render: (text, record, index) => {
						return <Select  placeholder="选择最新进度" value={record.followSituation}  onChange={(e) => { record.followSituation = e; this.setState({ data: this.state.data }); }}>
                                    {
                                        newFollow.map(function (item) {
                                            return <Select.Option key={item.value} >{item.key}</Select.Option>
                                        })
                                    }
                               </Select>
					}
				}, {
					title: '最新状态',
					width:120,
					dataIndex: 'customerStatus',
					key: 'customerStatus',
					render: (text, record, index) => {
						return <Select value={record.customerStatus} placeholder="选择最新状态" onChange={(e) => { record.customerStatus = e; this.setState({ data: this.state.data }); }}>
                                    {
                                        customerStatus.map(function (item) {
                                            return <Select.Option key={item.value} >{item.key}</Select.Option>
                                        })
                                    }
                               </Select>
					}
				}, {
					title: '跟进说明',
					width:180,
					dataIndex: 'remarks',
					key: 'remarks',
					render: (text, record, index) => {
						return <Input value={record.remarks} placeholder="跟进说明" 
	                             onChange={(e) => { record.remarks = e.target.value; this.setState({ data: this.state.data }); }}
	                             style={{width:'120px'}}/>
					}
				}, {
					title: '操作',
					dataIndex: 'rrr',
					key: 'rrr',
					render: (text, record, index) => {
						return <div>
                            <Popconfirm title="是否删除?" onConfirm={(e)=>{this.intentionDelet(record,index)}} okText="删除" cancelText="不删除">
							    <Button style={{marginRight:'10px',color:'#ffffff',background:'#f00',border:'none'}}>删除</Button>
							</Popconfirm>
                        </div>
					}
				}
			],
		}
	},
	//选择子项目
	businessFn(record,index){
		if(!record.businessGlossoryId){
			message.warn('请先选择业务名称!');
			return;
		}
		this.setState({
			businessId:record.businessGlossoryId,
			busModul:true,
			index:index,
			addcontactModul:false
		})
	},
	closeBus(datas,e,s){
		this.state.addcontactModul=e;
		this.state.busModul=false;
		if(s){
			this.state.data[this.state.index].businessName=datas.id;
			this.state.data[this.state.index].projectName=datas.name;
			this.setState({
				busModul:false,
				data:this.state.data
			})
		}
	},
	//进入修改拜访记录  
	visitModify(e) {
		this.setState({
			visitModul: true,
			loading: true
		});
		$.ajax({
			method: "get",
			dataType: "json",
			url: globalConfig.context + '/api/admin/customer/toUpdateFollow',
			data: {
				followId: e,
			},
			success: function(data) {
				let theArr = [];
				let thedata = data.data;
				if(!thedata) {
					if(data.error && data.error.length) {
						message.warning(data.error[0].message);
					};
					thedata = {};
				};
				if(thedata&&thedata.userBusinessList){
					for(let i = 0; i < data.data.userBusinessList.length; i++) {
						let thisdata = data.data.userBusinessList[i];
						theArr.push({
							id: thisdata.ufbId,
							businessName:thisdata.businessProjectId,
							businessGlossoryId:i,
							businessVarietiesName:thisdata.businessVarietiesName,
							businessProjectName:thisdata.businessProjectName,
							followSituation: String(thisdata.followSituation),
							customerStatus: String(thisdata.customerStatus),
							remarks: thisdata.remarks,
						});
					}
				};
				this.setState({
					followIds: thedata.followId,
					contacts: thedata.contacts,
					contactMobile:thedata.contactMobile,
					uid: thedata.uid,
					data: theArr,
					result: thedata.result,
					contactType: parseInt(thedata.contactType),
					followTime:thedata.followTime
				});
			}.bind(this),
		}).always(function() {
			this.setState({
				loading: false
			});
		}.bind(this));
	},
	//拜访意向服务列表单个删除
	intentionDelet(e, index) {
		let detId = this.state.followIds;
		if(e.id) {
			this.setState({
				selectedRowKeys: [],
			});
			$.ajax({
				method: "get",
				dataType: "json",
				crossDomain: false,
				url: globalConfig.context + "/api/admin/customer/deleteFollowOneBusiness",
				data: {
					ufbId: e.id
				}
			}).done(function(data) {
				if(!data.error.length) {
					message.success('删除成功');
					this.setState({
						loading: false,
					});
				} else {
					message.warning(data.error[0].message);
				};
				this.visitModify(detId);
			}.bind(this));
		} else {
			this.visitModify(detId);
		}
	},
	//拜访modul函数
	visitOk(e) {
		this.setState({
			addcontactModul:false,
			visitModul: false
		});
	},
	visitCancel(e) {
		this.setState({
			addcontactModul:false,
			visitModul: false
		});
	},
	
	//详情保存
	visitSubmit(e){
		e.preventDefault();
		let GlossoryId=false;
		this.state.data.map(function(item) {
			if(!item.followSituation||!item.customerStatus||!item.businessName) {
				GlossoryId = true
			}
		})
		if(GlossoryId) {
			message.warning("业务名称/项目名称/最新进度/最新状态不能为空!")
			return false;
		};
	   let dataList=this.state.data,
			idsList=[];
		dataList.map((item,index) => {
			idsList.push({
				ufbId:item.id||'',
				businessProjectId:item.businessName,
				customerStatus:item.customerStatus,
				followSituation:item.followSituation,
				remarks:item.remarks||''
			})
		});
		this.setState({
			loading: true
		});
		//新增
		$.ajax({
			method: "post",
			dataType: "json",
			url: globalConfig.context + '/api/admin/customer/updateFollow',
			data: {
				followId: this.state.followIds,
				userBusinessList: JSON.stringify(idsList),
				uid: this.state.uid,
				contactType: this.state.contactType,
				result: this.state.result,
				followTime: this.state.followTime,
			}
		}).done(function(data) {
			this.setState({
				loading: false
			});
			if(!data.error.length) {
				message.success('保存成功！');
				this.props.closeDesc(false,true);
				this.visitCancel();
			} else {
				message.warning(data.error[0].message);
			}
		}.bind(this));

	},
	//添加新业务
	addNew(){
		this.state.data.push({
			projectName:'选择',
			businessName:'',
			customerStatus: undefined,
			businessGlossoryId: undefined,
			followSituation: undefined,
			remarks: '',
		});
		this.setState({
			addcontactModul:false,
			data: this.state.data
		})
	},
	componentWillReceiveProps(nextProps) {
        if (nextProps.visitModul && nextProps.followData.followId) {
            this.setState({
				visitModul: true,
				loading: true,
			})
			this.visitModify(nextProps.followData.followId)
        };
    },
	render() {
		const formItemLayout = {
			labelCol: { span: 8 },
			wrapperCol: { span: 14 },
		};
		return(
			<div>
				<Modal	
				      className="customeDetails"
				      footer=''
			          title="客户跟进详情"
			          width='1000px'
			          visible={this.state.visitModul}
			          onOk={this.visitOk}
					  onCancel={this.visitCancel}							          							          
			        >				    
					    <Form layout="horizontal" id="demand-form" onSubmit={this.visitSubmit}>
			    			<Spin spinning={this.state.loading}>
			    			   	<div className="clearfix">
			    			   		<FormItem 
			                            labelCol={{ span:4 }}
										wrapperCol={{ span: 20 }}
			                            label="拜访方式" >
			    			   			<Radio.Group value={this.state.contactType} onChange={(e) => {
										        this.setState({ contactType: e.target.value }) 
						                    }}>
						                        <Radio value={0}>外出</Radio>
						                        <Radio value={1}>电话</Radio>
						                        <Radio value={2}>QQ</Radio>
						                        <Radio value={3}>微信</Radio>
						                        <Radio value={4}>邮箱</Radio>
						                </Radio.Group>
					                </FormItem>
					                <div className="clearfix">
						                <FormItem className="half-item"
				                            {...formItemLayout}
				                             label="当前联系人"
				                             >
						                    <span>{this.state.contacts}</span>
						                </FormItem>
						                <FormItem className="half-item"
				                            {...formItemLayout}
				                             label="跟进时间"
				                             >
						                	<span>{this.state.followTime}</span>
						                </FormItem>
						                <FormItem className="half-item"
				                            {...formItemLayout}
				                             label="联系电话"
				                             >
						                	<span>{this.state.contactMobile}</span>
						                </FormItem>
					                </div>
					                <div className="clearfix">
					                	<FormItem
					                        labelCol={{ span: 4 }}
							                wrapperCol={{ span: 16 }}
					                        label="跟进备注" >
					                            <Input type="textarea" rows={4} value={this.state.result} 
					                              onChange={(e)=>{this.setState({result:e.target.value})}}/>
					                    </FormItem>
					                </div>
					                <div className="clearfix">
					                 	<div style={{fontSize:'18px',marginLeft:'100px',marginTop:'15px',marginBottom:'10px'}}>业务意向<Button onClick={this.addNew} style={{marginLeft:'420px',background:'green',color:'#ffffff'}}>添加新业务</Button></div>
					                 	<div className="clearfix" >
		                    			    <Spin spinning={this.state.loading}>
										      <Table 
										         rowKey={record => record.id}
								            	 pagination={false}
								            	 columns={this.state.intentionList} 
								            	 dataSource={this.state.data}
								            	 />
										    </Spin> 
										</div>	 
					                </div>
			    			   	</div>
			    			   	<FormItem wrapperCol={{ span: 12, offset: 6 }}>
								    <Button  type="primary" size="large" htmlType="submit" style={{marginRight:'150px',marginTop:'20px'}}>保存</Button>
						           	<Button  size="large" onClick={this.visitCancel}>取消</Button>
					   			</FormItem>
					   		</Spin>
					    </Form>
				</Modal> 
				<BusName 
					businessId={this.state.businessId}
					busModul={this.state.busModul}
					closeBus={this.closeBus}
				/>
			</div>
		)
	}
})
export default VisitDetail;